{
    "fields": {
        "name": {
            "type": "varchar",
            "required": true,
            "pattern": "$noBadCharacters"
        },
        "description": {
            "type": "text"
        },
        "createdAt": {
            "type": "datetime",
            "readOnly": true
        },
        "modifiedAt": {
            "type": "datetime",
            "readOnly": true
        },
        "createdBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "modifiedBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "assignedUser": {
            "type": "link",
            "required": false,
            "view": "views/fields/assigned-user"
        },
        "teams": {
            "type": "linkMultiple",
            "view": "views/fields/teams"
        },
        "freigeschalteteNutzer": {
            "type": "link"
        },
        "collaborators": {
            "type": "linkMultiple",
            "view": "views/fields/collaborators",
            "maxCount": 30,
            "fieldManagerParamList": [
                "readOnly",
                "readOnlyAfterCreate",
                "audited",
                "autocompleteOnEmpty",
                "maxCount",
                "inlineEditDisabled",
                "tooltipText"
            ]
        },
        "advowareAktenzeichen": {
            "type": "varchar",
            "required": false,
            "maxLength": 100,
            "tooltip": true,
            "isCustom": true,
            "copyToClipboard": true
        },
        "betnr": {
            "type": "int",
            "required": false,
            "tooltip": true,
            "isCustom": true
        },
        "advowareLastSync": {
            "type": "datetime",
            "required": false,
            "readOnly": true,
            "tooltip": true,
            "isCustom": true
        },
        "syncStatus": {
            "type": "enum",
            "required": false,
            "options": [
                "clean",
                "unclean",
                "failed"
            ],
            "style": {
                "clean": "success",
                "unclean": "warning",
                "failed": "danger"
            },
            "default": "clean",
            "tooltip": true,
            "isCustom": true
        },
        "gerichtsrubrum": {
            "type": "text",
            "required": false,
            "isCustom": true
        },
        "gegenstandswert": {
            "type": "currency",
            "required": false,
            "default": 0,
            "isCustom": true
        },
        "kuendigungsservice": {
            "type": "bool",
            "required": false,
            "default": false,
            "isCustom": true
        },
        "aussergerichtlicheGebuehren13": {
            "type": "currency",
            "required": false,
            "default": 0,
            "isCustom": true
        },
        "gerichtskosten1Instanz": {
            "type": "currency",
            "required": false,
            "default": 0,
            "isCustom": true
        },
        "anwaltskosten1Instanz": {
            "type": "currency",
            "required": false,
            "default": 0,
            "isCustom": true
        }
    },
    "links": {
        "createdBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "modifiedBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "assignedUser": {
            "type": "belongsTo",
            "entity": "User"
        },
        "teams": {
            "type": "hasMany",
            "entity": "Team",
            "relationName": "entityTeam",
            "layoutRelationshipsDisabled": true
        },
        "meetings": {
            "type": "hasMany",
            "entity": "Meeting",
            "foreign": "parent"
        },
        "calls": {
            "type": "hasMany",
            "entity": "Call",
            "foreign": "parent"
        },
        "tasks": {
            "type": "hasChildren",
            "entity": "Task",
            "foreign": "parent"
        },
        "emails": {
            "type": "hasChildren",
            "entity": "Email",
            "foreign": "parent",
            "layoutRelationshipsDisabled": true
        },
        "vmhMietverhltnises": {
            "type": "hasMany",
            "relationName": "cVmhRumungsklageVmhMietverhltnis",
            "foreign": "vmhRumungsklages",
            "entity": "CVmhMietverhltnis",
            "audited": false,
            "isCustom": true
        },
        "freigeschalteteNutzer": {
            "type": "belongsTo",
            "foreign": "cVmhRumungsklages",
            "entity": "Contact",
            "audited": false,
            "isCustom": true
        },
        "collaborators": {
            "type": "hasMany",
            "entity": "User",
            "relationName": "entityCollaborator",
            "layoutRelationshipsDisabled": true
        },
        "vmhVermietersRKL": {
            "type": "hasMany",
            "relationName": "cVmhVermieterVmhRumungsklage",
            "foreign": "vmhRumungsklagesVermieter",
            "entity": "CVmhVermieter",
            "audited": false,
            "isCustom": true
        },
        "dokumentesvmhraumungsklage": {
            "type": "hasMany",
            "relationName": "cDokumenteVmhRumungsklage",
            "foreign": "vmhRumungsklagesdokumente",
            "entity": "CDokumente",
            "audited": false,
            "isCustom": true
        },
        "contactsRumungsklage": {
            "type": "hasMany",
            "relationName": "cVmhRumungsklageContact",
            "foreign": "cVmhRumungsklageContact",
            "entity": "Contact",
            "audited": false,
            "isCustom": true
        },
        "klaeger": {
            "type": "hasMany",
            "relationName": "cBeteiligteVmhRumungsklageKlaeger",
            "foreign": "vmhRumungsklagesKlaeger",
            "entity": "CBeteiligte",
            "audited": false,
            "isCustom": true
        },
        "beklagte": {
            "type": "hasMany",
            "relationName": "cBeteiligteVmhRumungsklageBeklagte",
            "foreign": "vmhRumungsklagesBeklagte",
            "entity": "CBeteiligte",
            "audited": false,
            "isCustom": true
        }
    },
    "collection": {
        "orderBy": "createdAt",
        "order": "desc",
        "textFilterFields": [
            "name"
        ],
        "fullTextSearch": false,
        "countDisabled": false
    },
    "indexes": {
        "name": {
            "columns": [
                "name",
                "deleted"
            ]
        },
        "assignedUser": {
            "columns": [
                "assignedUserId",
                "deleted"
            ]
        },
        "createdAt": {
            "columns": [
                "createdAt"
            ]
        },
        "createdAtId": {
            "unique": true,
            "columns": [
                "createdAt",
                "id"
            ]
        },
        "betnr": {
            "columns": [
                "betnr"
            ]
        },
        "advowareAktenzeichen": {
            "columns": [
                "advowareAktenzeichen"
            ]
        },
        "gegenstandswert": {
            "columns": [
                "gegenstandswert"
            ]
        },
        "syncStatus": {
            "columns": [
                "syncStatus",
                "deleted"
            ]
        }
    },
    "optimisticConcurrencyControl": false
}